Get Number Order by Order ID
GET
Retrieve a single numbering order by its order ID. If the organization is not specified, the authenticated user's partner organization is used.
idOrder*integerThe order identifier
Number order retrieved successfully.
application/json- response
Order information for the Numbers module.
id*integerThe unique order identifier
tipo*stringThe order type
codeOrderOlo?stringThe OLO order code
idOrderOlo?integerThe OLO order identifier
note?stringAdditional notes for the order
quantity*integerThe ordered quantity
region?stringThe region associated with the order
province?stringThe province associated with the order
city?stringThe city associated with the order
prefix?stringThe number prefix
created_time?stringThe order creation date
organization*The organization associated with the order
service*The service associated with the order
customer*The customer associated with the order
npDetails?unknownAdditional numbering plan details
status*The order status
curl -X GET 'https://api.eis.it/v1/numbers/orders/0'Example Response
{ "id": 0, "tipo": "string", "codeOrderOlo": "string", "idOrderOlo": 0, "note": "string", "quantity": 0, "region": "string", "province": "string", "city": "string", "prefix": "string", "created_time": "string", "organization": { "organizationId": 0, "userId": 0, "userName": "string", "createDate": "string", "modifiedDate": "string", "parentOrganizationId": 0, "name": "string", "type_": "string", "sbcId": 0, "documentation_URL": "string", "support_URL": "string", "status_URL": "string", "redirect_URL": "string", "notificationEmailFromAddress": "string", "customerId": 0, "manualCoverage": true, "coverageIntegration": 0 }, "service": { "id": 0, "serviceList": { "id": 0, "name": "string", "serviceProvider": { "id": 0, "description": "string" }, "carrier": { "id": 0, "name": "string" }, "type": { "id": 0, "name": "string" }, "supplierProductId": 0 }, "organizationId": 0, "integration": { "id": 0, "name": "string" }, "name": "string", "forDirect": true, "forSub": true, "carrierType": "string", "offsetDays": 0, "attributes": null }, "customer": { "id": 0, "organizationId": 0, "name": "string", "ragioneSociale": "string", "rappresentante": "string", "indirizzo": "string", "civico": "string", "indSedLeg": "string", "civicoSedLeg": "string", "comuneSedLeg": "string", "provinciaSedLeg": "string", "regioneSedLeg": "string", "capSedLeg": "string", "comune": "string", "provincia": "string", "regione": "string", "country": "string", "cap": "string", "tel": "string", "fiscalCode": "string", "company": true, "userid": 0, "mainCustomer": null, "createDate": "string", "organization": { "organizationId": 0, "name": "string", "documentation_URL": "string", "support_URL": "string", "status_URL": "string", "redirect_URL": "string", "notificationEmailFromAddress": "string", "customerId": 0, "manualCoverage": true, "coverageIntegration": 0 }, "user": { "userId": 0, "emailAddress": "string", "firstName": "string", "lastName": "string", "type": { "id": 0, "name": "string" }, "organizationId": 0, "parentOrganizationId": 0, "organizationName": "string" }, "associated_users": [ {} ], "egonCodeAddress": "string", "egonCodeCity": "string", "egonCodeMain": "string", "rawAddress": "string", "piva": "string", "ptoponomastica": "string", "mainCustomerInfo": null }, "npDetails": null, "status": { "id": 0, "code": "string", "description": "string", "finishStatus": true }}